=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::ServiceGroupsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'ServiceGroupsApi' do
  before do
    # run before each test
    @instance = Shippo::ServiceGroupsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ServiceGroupsApi' do
    it 'should create an instance of ServiceGroupsApi' do
      expect(@instance).to be_instance_of(Shippo::ServiceGroupsApi)
    end
  end

  # unit tests for create_service_group
  # Create a new service group
  # Creates a new service group.
  # @param [Hash] opts the optional parameters
  # @option opts [BaseServiceGroup] :body 
  # @return [ServiceGroupResponse]
  describe 'create_service_group test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_service_group
  # Delete a service group
  # Delete a service group by object ID.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_service_group test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_service_group
  # List all service groups
  # List all service group objects.
  # @param [Hash] opts the optional parameters
  # @return [Array<ServiceGroupResponse>]
  describe 'list_service_group test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_service_group
  # Update an existing service group
  # PUT request to update an existing service group object. The object_id cannot be updated as it is the unique identifier for the object.
  # @param [Hash] opts the optional parameters
  # @option opts [ServiceGroup] :body 
  # @return [ServiceGroupResponse]
  describe 'update_service_group test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
